Package ghidra.plugins.fsbrowser

# Class FSBIcons

java.lang.Object
ghidra.plugins.fsbrowser.FSBIcons

public class FSBIcons extends Object
Static list of Icons for the file system browser plugin and its child windows.

The `singleton instance` provides `Icon`s that represent the type and status of a file, based on a filename mapping and caller specified status overlays.

Thread safe

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Icon`
  `CLOSE`
  `static final Icon`
  `COLLAPSE_ALL`
  `static final Icon`
  `COMPRESS`
  `static final Icon`
  `COPY`
  `static final Icon`
  `CREATE_FIRMWARE`
  `static final Icon`
  `CUT`
  `static final Icon`
  `DEFAULT_ICON`
  `static final Icon`
  `DELETE`
  `static final Icon`
  `ECLIPSE`
  `static final Icon`
  `EXPAND_ALL`
  `static final Icon`
  `EXTRACT`
  `static final Icon`
  `FILESYSTEM_OVERLAY_ICON`
  `static final Icon`
  `FONT`
  `static final Icon`
  `IMPORT`
  `static final Icon`
  `IMPORTED_OVERLAY_ICON`
  `static final Icon`
  `INFO`
  `static final Icon`
  `iOS`
  `static final Icon`
  `JAR`
  `static final Icon`
  `LIBRARY`
  `static final Icon`
  `LINK_OVERLAY_ICON`
  `static final Icon`
  `LIST_MOUNTED`
  `static final Icon`
  `LOCKED`
  `static final Icon`
  `MISSING_PASSWORD_OVERLAY_ICON`
  `static final Icon`
  `MY_COMPUTER`
  `static final Icon`
  `NEW`
  `static final Icon`
  `OPEN`
  `static final Icon`
  `OPEN_ALL`
  `static final Icon`
  `OPEN_AS_BINARY`
  `static final Icon`
  `OPEN_FILE_SYSTEM`
  `static final Icon`
  `OPEN_IN_LISTING`
  `static final Icon`
  `PASTE`
  `static final Icon`
  `PHOTO`
  `static final Icon`
  `REDO`
  `static final Icon`
  `REFRESH`
  `static final Icon`
  `RENAME`
  `static final Icon`
  `SAVE`
  `static final Icon`
  `SAVE_AS`
  `static final Icon`
  `UNDO`
  `static final Icon`
  `UNLOCKED`
  `static final Icon`
  `VIEW_AS_IMAGE`
  `static final Icon`
  `VIEW_AS_TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Icon`
  `buildIcon(Icon base, List<Icon> overlays)`
  `Icon`
  `getIcon(String fileName, List<Icon> overlays)`
  Returns an `Icon` that represents a file's content based on its name.
  `static FSBIcons`
  `getInstance()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COPY

    public static final Icon COPY

  - ### CUT

    public static final Icon CUT

  - ### DELETE

    public static final Icon DELETE

  - ### FONT

    public static final Icon FONT

  - ### LOCKED

    public static final Icon LOCKED

  - ### NEW

    public static final Icon NEW

  - ### PASTE

    public static final Icon PASTE

  - ### REDO

    public static final Icon REDO

  - ### RENAME

    public static final Icon RENAME

  - ### REFRESH

    public static final Icon REFRESH

  - ### SAVE

    public static final Icon SAVE

  - ### SAVE_AS

    public static final Icon SAVE_AS

  - ### UNDO

    public static final Icon UNDO

  - ### UNLOCKED

    public static final Icon UNLOCKED

  - ### CLOSE

    public static final Icon CLOSE

  - ### COLLAPSE_ALL

    public static final Icon COLLAPSE_ALL

  - ### COMPRESS

    public static final Icon COMPRESS

  - ### CREATE_FIRMWARE

    public static final Icon CREATE_FIRMWARE

  - ### EXPAND_ALL

    public static final Icon EXPAND_ALL

  - ### EXTRACT

    public static final Icon EXTRACT

  - ### INFO

    public static final Icon INFO

  - ### OPEN

    public static final Icon OPEN

  - ### OPEN_AS_BINARY

    public static final Icon OPEN_AS_BINARY

  - ### OPEN_IN_LISTING

    public static final Icon OPEN_IN_LISTING

  - ### OPEN_FILE_SYSTEM

    public static final Icon OPEN_FILE_SYSTEM

  - ### PHOTO

    public static final Icon PHOTO

  - ### VIEW_AS_IMAGE

    public static final Icon VIEW_AS_IMAGE

  - ### VIEW_AS_TEXT

    public static final Icon VIEW_AS_TEXT

  - ### ECLIPSE

    public static final Icon ECLIPSE

  - ### JAR

    public static final Icon JAR

  - ### IMPORT

    public static final Icon IMPORT

  - ### iOS

    public static final Icon iOS

  - ### OPEN_ALL

    public static final Icon OPEN_ALL

  - ### LIST_MOUNTED

    public static final Icon LIST_MOUNTED

  - ### LIBRARY

    public static final Icon LIBRARY

  - ### IMPORTED_OVERLAY_ICON

    public static final Icon IMPORTED_OVERLAY_ICON

  - ### FILESYSTEM_OVERLAY_ICON

    public static final Icon FILESYSTEM_OVERLAY_ICON

  - ### MISSING_PASSWORD_OVERLAY_ICON

    public static final Icon MISSING_PASSWORD_OVERLAY_ICON

  - ### LINK_OVERLAY_ICON

    public static final Icon LINK_OVERLAY_ICON

  - ### DEFAULT_ICON

    public static final Icon DEFAULT_ICON

  - ### MY_COMPUTER

    public static final Icon MY_COMPUTER

- ## Method Details

  - ### getInstance

    public static FSBIcons getInstance()

  - ### getIcon

    public Icon getIcon(String fileName, List<Icon> overlays)
    Returns an `Icon` that represents a file's content based on its name.
    Parameters:
      `fileName` - name of file that an icon is being requested for.
      `overlays` - optional list of overlay icons that should be overlaid on top of the base icon. These icons represent a status or feature independent of the file's base icon.
    Returns:
      `Icon` instance that best represents the named file, never null.

  - ### buildIcon

    public static Icon buildIcon(Icon base, List<Icon> overlays)